Title
Over-aligned class types
Status
c++11
Section
6.7.6 [basic.align]
Submitter
Clark Nelson

Created on 2010-08-25.00:00:00 last changed 82 months ago

Messages

Date: 2011-03-15.00:00:00

[Voted into the WP at the March, 2011 meeting as part of paper N3262.]

Date: 2010-11-15.00:00:00

Proposed resolution (November, 2010) [SUPERSEDED]:

Change 6.7.6 [basic.align] paragraph 3 as follows:

[Note: every over-aligned type is or contains a class type with a non-static data member to which an extended alignment has been applied to which extended alignment applies (possibly through a non-static data member). —end note]
Date: 2015-04-13.00:00:00

Now that alignment can be applied directly to class types, the current wording of the note at the end of 6.7.6 [basic.align] paragraph 3 is no longer correct:

[Note: every over-aligned type is or contains a class type with a non-static data member to which an extended alignment has been applied. —end note]
History
Date User Action Args
2015-04-13 00:00:00adminsetmessages: + msg5427
2014-03-03 00:00:00adminsetstatus: fdis -> c++11
2011-04-10 00:00:00adminsetmessages: + msg3307
2011-04-10 00:00:00adminsetstatus: review -> fdis
2010-11-29 00:00:00adminsetstatus: open -> review
2010-08-25 00:00:00admincreate